Bug 1027048 - Inadequate performance of list request mechanism
Inadequate performance of list request mechanism
Status: CLOSED CURRENTRELEASE
Product: Red Hat Hardware Certification Program
Classification: Red Hat
Component: Hardware Catalog Listing Application (Show other bugs)
5.2
Unspecified Unspecified
high Severity high
: ---
: ---
Assigned To: Wei Shen
:
Depends On:
Blocks: 902527
  Show dependency treegraph
 
Reported: 2013-11-05 20:45 EST by Damian Jansen
Modified: 2014-06-22 21:34 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-11-18 04:27:34 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Damian Jansen 2013-11-05 20:45:37 EST
Description of problem:
It appears that, despite showing 50 items and a count, a large list request loads all entries at once.
In loading something like /RHEL, this wait is far too long.

Version-Release number of selected component (if applicable):
5.2

How reproducible:
Easy always

Steps to Reproduce:
1. Go to hardware.redhat.com
2. Click the RHEL button
3. Wait

Actual results:
For some, the wait is so long it can result in proxy errors

Expected results:
The query should only request 50 items and a count

Additional info:

Note You need to log in before you can comment on or make changes to this bug.